Name:           netpanzer
Version:        0.8.1
Release:        1%{?dist}
Summary:        An Online Multiplayer Tactical Warfare Game

Group:          Amusements/Games
License:        GPL
URL:            http://netpanzer.berlios.de
Source0:        http://download.berlios.de/netpanzer/netpanzer-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jam, physfs-devel >= 0.1.9, desktop-file-utils, doxygen
BuildRequires:	SDL-devel >= 1.2.5, SDL_mixer-devel >= 1.2, SDL_image-devel >= 1.2
#Requires:       SDL >= 1.2.5, SDL_mixer >= 1.2, SDL_image >= 1.2, physfs >= 0.1.9
Requires:	netpanzer-data >= 0.8

%description
netPanzer is an online multiplayer tactical warfare game designed for FAST
ACTION combat. Gameplay concentrates on the core -- no resource management is
needed. The game is based on quick tactical action and unit management in
real-time. Battles progress quickly and constantly as destroyed players respawn
with a set of new units. Players can join or leave multiplayer games at any
time.

%prep
%setup -q

# Strip \r from RELNOTES file
sed -i 's/\r//' RELNOTES

%build
%configure
jam %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
jam install

# Install desktop item
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/netpanzer.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/pixmaps/netpanzer.xpm

mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
mv $RPM_BUILD_ROOT%{_datadir}/pixmaps/netpanzer.png \
   $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

desktop-file-install --vendor fedora				\
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications		\
	--add-category X-Fedora					\
	netpanzer.desktop

%post
touch --no-create %{_datadir}/icons/hicolor || : 
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README RELNOTES TODO docs/serverhowto.html docs/tipofday.txt
%{_bindir}/netpanzer
%{_datadir}/applications/fedora-netpanzer.desktop
%{_datadir}/icons/hicolor/48x48/apps/netpanzer.png


%changelog
* Thu Mar 01 2007 Jon Ciesla <limb@jcomserv.net> 0.8.1-1
- Bumped to upstream
- Pulled gcc 4.1 patch, fixed upstream
- Pulled CVE 2006-2575, 2005-2295 patches, fixed upstream
- Updated netpanzer-data RQ to allow update of app without update of data.

* Wed Sep 13 2006 Hugo Cisneiros <hugo@devin.com.br> 0.8-5
- Rebuilt for FC6

* Thu Jun  8 2006 Hugo Cisneiros <hugo@devin.com.br> 0.8-4
- Fix Remote Server Termination vulnerability (CVE 2006-2575)
- Add proper packet size check (CVE 2005-2295) (patch from Gentoo)

* Thu May  4 2006 Hugo Cisneiros <hugo@devin.com.br> 0.8-3
- Changed netpanzer.png to comply with freedesktop.org standards.
- Added scripts to update the icon cache after installing

* Mon May  1 2006 Hugo Cisneiros <hugo@devin.com.br> 0.8-2
- Changed Package's RPM Group
- Fixed Changelog entries to specify versions
- Stripped '\r' EOL from RELNOTES file
- Added COPYING file

* Mon May  1 2006 Hugo Cisneiros <hugo@devin.com.br> 0.8-1
- Initial RPM release
